function right_hand_side = evaluate_advection_diffusion_right_hand_side(t, dx, u, D, DD, c, mu, r)
    % Returns the right hand side of the advection-diffusion-reaction equation.

    right_hand_side = (-c*D + mu*DD + r)*u;

end
