function relative_error = relative_error_column_wise(snapshot_matrix, approximation)
    
    % Computes the column-wise relative error between an approximation of the snapshot matrix.

    relative_error = zeros(1, size(snapshot_matrix, 2));
    for i = 1:size(snapshot_matrix, 2)
        relative_error(i) = norm(snapshot_matrix(:, i) - approximation(:, i)) / norm(snapshot_matrix(:, i));
    end
end
