function dlx = lagrange_derivative(x) 

% derivative of the function 'lagrange'
% assumes that interpolationStencilIndices = [-1 0 1 2]

dlx    = zeros(4,1)         ;
dlx(1) = -1/6*(3*x^2-6*x+2) ;
dlx(2) = 1/2*(3*x^2-4*x-1)  ;
dlx(3) = -1/2*(3*x^2-2*x-2) ;
dlx(4) = 1/6*(3*x^2-1)      ;
