function combined_shifted_POD_system = combine_modes(naive_shifted_POD_system, error_system) 

    % If error modes are used, this function combines the modes determined by an SVD of the comoving subspaces with the determined error modes.

    combined_shifted_POD_system = naive_shifted_POD_system;

    for i = 1:naive_shifted_POD_system.n_subspaces
        combined_shifted_POD_system.U{i} = [naive_shifted_POD_system.U{i} error_system.U{i}];     
        combined_shifted_POD_system.V{i} = [naive_shifted_POD_system.V{i} error_system.V{i}];     
    end
    
end
