function right_hand_side = evaluate_wave_equation_right_hand_side(t, dx, u, D, c, rho)
    % Returns the right hand side of the wave equation.
    right_hand_side = [zeros(size(D)), -rho*D; -((c^2)/rho)*D, zeros(size(D))]*u;

end
