figure;
hold on;

semilogy(c_values, relative_L2_online_error_equi, 'o-', 'DisplayName', 'shifted POD 2 modes equivariance');
semilogy(c_values, pod_3_relative_L2_online_error, 'o-', 'DisplayName', 'POD 3 modes');
semilogy(c_values, pod_11_relative_L2_online_error, 'o-', 'DisplayName', 'POD 11 modes');
hold off;

xlabel("c");
ylabel("Relative L2 online error");
legend();
title("Relative online error for changing c, sample point: c = 1");

figure;
hold on;

semilogy(c_values, median_computation_time_fom, 'o-', 'DisplayName', 'FOM');
semilogy(c_values, median_computation_time_rom, 'o-', 'DisplayName', 'shifted POD 2 modes equivariance');
semilogy(c_values, median_computation_time_pod_3, 'o-', 'DisplayName', 'POD 3 modes');
semilogy(c_values, median_computation_time_pod_11, 'o-', 'DisplayName', 'POD 11 modes');

xlabel("c");
ylabel("Computation time in seconds");
legend();
title("Comparison of computation times");
hold off;
