figure;

reduced_state_one_trafo = reduced_state_matrix_one_trafo{1};
reduced_state_multiple_trafo = reduced_state_matrix_multiple_trafo{1};

x = linspace(0, 1, size(reduced_state_one_trafo, 2));

plot(x, reduced_state_one_trafo(2,:), 'DisplayName', '$\tilde{z}_2(t)$');
hold on;

plot(x, reduced_state_one_trafo(3,:), 'DisplayName', '$p(t)$');
plot(x, reduced_state_multiple_trafo(2,:), 'DisplayName', '$\check{z}_2(t)$');
plot(x, reduced_state_multiple_trafo(4,:), 'DisplayName', '$\check{p}(t)$');

xlabel('$t$', 'Interpreter', 'latex');
ylabel('$e_{\mathrm{rel}}$', 'Interpreter', 'latex');
legend('Interpreter', 'latex');
title('Evolution coefficient / path second mode');
        
hold off;

figure;
        
relative_L2_online_error_col_wise_one_trafo = relative_error_column_wise(snapshot_matrix{1}, shifted_pod_solution_one_trafo{1});
        
relative_L2_online_error_col_wise_multiple_trafo = relative_error_column_wise(snapshot_matrix{1}, shifted_pod_solution_multiple_trafo{1});
        
semilogy(x, relative_L2_online_error_col_wise_one_trafo, 'DisplayName', '$\hat{z}_1$');
hold on;

semilogy(x, relative_L2_online_error_col_wise_multiple_trafo, 'DisplayName', '$\hat{z}_2$');

xlabel('$t$', 'Interpreter', 'latex');
ylabel('$e_{\mathrm{rel}}$', 'Interpreter', 'latex');
legend('Interpreter', 'latex');
title('Time evolution: relative error');

clear x;
clear reduced_state_one_trafo;
clear reduced_state_multiple_trafo;
