function shifted_POD_system = init_shift_matrix(discretization, shift_matrix_generator, shift) 
    
    % This function initializes the shifted_POD_system struct.
    
    n_subspaces = size(shift, 2);
    
    shifted_POD_system.n_subspaces = n_subspaces;
    shifted_POD_system.shift_matrices = cell(n_subspaces, 1); 

    for i = 1:n_subspaces
        shifted_POD_system.shift_matrices{i} = shift_matrix_generator(discretization, shift(:,i));
    end

end
